<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/**
 * PEAR::DB
 * 
 * ※ インクルード・パスに存在する必要がある
 */
require_once 'DB.php';


/**
 * データベースを扱うクラスの基本クラス
 *
 * @author netnee
 * @package common
 */
class Common_Dbaccess
{
    /**
     * DB接続
     * 
     * @param string $dsn 接続文字列
     * @return object データベースオブジェクト
     * @access  public
     */
    function doConnect($dsn = DSN)
    {
        $options = array(
            'persistent'  => TRUE,
            'portability' => DB_PORTABILITY_ALL,
        );

        $db =& DB::connect($dsn, $options);
        if (DB::isError($db)) {
            trigger_error($db->getMessage(), E_USER_ERROR);
        }
        
        //$db -> query("set names ujis");
        //$db -> query("set CLIENT_ENCODING=ujis"); //pgsql
        return $db;
    }

    /**
     * DB切断
     * 
     * @param object データベースオブジェクト
     * @access  public
     */
    function doClose($db)
    {
        $db->disconnect();
    }
}
?>
